using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Jiaowu.Api.Infrastructure.Persistence.Migrations.MySql
{
    /// <inheritdoc />
    public partial class AddRequiredBuildingIds : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "RequiredBuildingIds",
                table: "MakeupExamSessions",
                type: "longtext",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "RequiredBuildingIds",
                table: "ExamSessions",
                type: "longtext",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "RequiredBuildingIds",
                table: "MakeupExamSessions");

            migrationBuilder.DropColumn(
                name: "RequiredBuildingIds",
                table: "ExamSessions");
        }
    }
}
